Bug 1337505 (CVE-2016-4441)

Summary: CVE-2016-4441 Qemu: scsi: esp: OOB write while writing to 's->cmdbuf' in get_cmd
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, ailan, amit.shah, apevec, areis, ayoung, berrange, cfergeau, chrisw, drjones, dwmw2, imammedo, itamar, jen, jschluet, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20160519,reported=20160517,source=researcher,cvss2=4.0/AV:A/AC:H/Au:S/C:P/I:P/A:P,cwe=CWE-122,rhel-5/kvm=notaffected,rhel-5/xen=notaffected,rhel-6/qemu-kvm=notaffected,rhel-7/qemu-kvm=notaffected,rhel-7/qemu-kvm-rhev=notaffected,openstack-5/qemu-kvm-rhev=notaffected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=notaffected,openstack-8/qemu-kvm-rhev=notaffected,openstack-9/qemu-kvm-rhev=notaffected,fedora-all/qemu=affected,fedora-all/xen=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:52:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1337506    
Bug Blocks: 1337125    

Description Prasad J Pandit 2016-05-19 11:06:02 UTC
Quick Emulator(Qemu) built with the ESP/NCR53C9x controller emulation support
is vulnerable to an OOB write access issue. The controller uses 16-byte FIFO
buffer for command and data transfer. The OOB write occurs while writing to
this command buffer in routine get_cmd().

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-05/msg03274.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/19/4

Comment 1 Prasad J Pandit 2016-05-19 11:07:31 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1337506]

Comment 2 Prasad J Pandit 2016-05-25 06:48:31 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 3 Fedora Update System 2016-05-29 17:47:41 UTC
qemu-2.6.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-30 21:19:14 UTC
xen-4.6.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-31 02:51:43 UTC
qemu-2.4.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-05 02:55:52 UTC
xen-4.5.3-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-06-07 01:19:54 UTC
qemu-2.3.1-15.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-12 22:51:14 UTC
xen-4.5.3-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.